(library (linux inotify)
  (export
    inotify-init
    inotify-init1
    inotify-add-watch
    inotify-rm-watch
    inotify-read
    IN_ACCESS
    IN_MODIFY
    IN_ATTRIB
    IN_CLOSE_WRITE
    IN_CLOSE_NOWRITE
    IN_CLOSE_WRITE
    IN_OPEN
    IN_MOVED_FROM
    IN_MOVED_TO
    IN_MOVED_FROM
    IN_CREATE
    IN_DELETE
    IN_DELETE_SELF
    IN_MOVE_SELF
    IN_UNMOUNT
    IN_Q_OVERFLOW
    IN_IGNORED
    IN_ONLYDIR
    IN_DONT_FOLLOW
    IN_EXCL_UNLINK
    IN_MASK_ADD
    IN_ISDIR
    IN_ONESHOT
    IN_ALL_EVENTS)
  (import (only (guile) load-extension))
  (load-extension "libguile-inotify" "init_guile_inotify"))
